mrueg       14/10/11 00:10:53

  Modified:             sparklines-0.5.2-r4.ebuild ChangeLog
  Log:
  Add ruby21 target.
  
  (Portage version: 2.2.14_rc1/cvs/Linux x86_64, signed Manifest commit with 
key )

Revision  Changes    Path
1.4                  dev-ruby/sparklines/sparklines-0.5.2-r4.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/sparklines/sparklines-0.5.2-r4.ebuild?rev=1.4&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/sparklines/sparklines-0.5.2-r4.ebuild?rev=1.4&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/sparklines/sparklines-0.5.2-r4.ebuild?r1=1.3&r2=1.4

Index: sparklines-0.5.2-r4.ebuild
===================================================================
RCS file: 
/var/cvsroot/gentoo-x86/dev-ruby/sparklines/sparklines-0.5.2-r4.ebuild,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- sparklines-0.5.2-r4.ebuild  5 Aug 2014 16:00:56 -0000       1.3
+++ sparklines-0.5.2-r4.ebuild  11 Oct 2014 00:10:53 -0000      1.4
@@ -1,9 +1,9 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/dev-ruby/sparklines/sparklines-0.5.2-r4.ebuild,v 1.3 
2014/08/05 16:00:56 mrueg Exp $
+# $Header: 
/var/cvsroot/gentoo-x86/dev-ruby/sparklines/sparklines-0.5.2-r4.ebuild,v 1.4 
2014/10/11 00:10:53 mrueg Exp $
 
 EAPI=5
-USE_RUBY="ruby19 ruby20"
+USE_RUBY="ruby19 ruby20 ruby21"
 
 RUBY_FAKEGEM_TASK_DOC=""
 
@@ -21,4 +21,8 @@
 
 RDEPEND="dev-ruby/rmagick"
 
-ruby_add_bdepend test "dev-ruby/hoe dev-ruby/tidy_table dev-ruby/dust"
+ruby_add_bdepend test "dev-ruby/tidy_table dev-ruby/dust"
+
+each_ruby_test() {
+       ${RUBY} -I. test/test_all.rb || die
+}



1.19                 dev-ruby/sparklines/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/sparklines/ChangeLog?rev=1.19&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/sparklines/ChangeLog?rev=1.19&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/sparklines/ChangeLog?r1=1.18&r2=1.19

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/sparklines/ChangeLog,v
retrieving revision 1.18
retrieving revision 1.19
diff -u -r1.18 -r1.19
--- ChangeLog   5 Aug 2014 16:00:56 -0000       1.18
+++ ChangeLog   11 Oct 2014 00:10:53 -0000      1.19
@@ -1,6 +1,9 @@
 # ChangeLog for dev-ruby/sparklines
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ruby/sparklines/ChangeLog,v 1.18 
2014/08/05 16:00:56 mrueg Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/sparklines/ChangeLog,v 1.19 
2014/10/11 00:10:53 mrueg Exp $
+
+  11 Oct 2014; Manuel Rüger <[email protected]> sparklines-0.5.2-r4.ebuild:
+  Add ruby21 target.
 
   05 Aug 2014; Manuel Rüger <[email protected]> sparklines-0.5.2-r3.ebuild,
   sparklines-0.5.2-r4.ebuild:




Reply via email to